import QtQuick 2.0
import QtQuick.Window 2.15
import QtQuick.Controls 2.1

Item {
    Window {
        x: 300
        y:200
        width: 640
        height: 480
        visible: true
        title: qsTr("Hello World")

        Rectangle {
            anchors.fill: parent
            color: "red"

            Button {
                text: "Open"
                onClicked: {
                    wizard.show();
                }
            }
        }
    }

    Window {
        id: wizard
        width: 200
        height: 100
        visible: false
        title: qsTr("Wizard")

        modality: Qt.ApplicationModal
        flags: Qt.FramelessWindowHint

        Rectangle {
            anchors.fill: parent
            color: "blue"

            Button {
                text: "close"
                onClicked: {
                    wizard.close();
                }
            }
        }
    }
}

